<DOCTYPE />
<html>
<head>
    <!-- Include the JS and CSS files for display and handle the breather -->
    <script src="http://code.jquery.com/jquery-2.1.3.min.js"></script>
    <script src="js/breather.js"></script>

    <link rel="stylesheet" type="text/css" href="css/breather.css" />

    <style>
        * { outline: none; }
        body { background: #AAA; text-shadow: -1px -1px 0px #CCC; padding: 20% 0 0 42%; font-family: consolas;}
        a { color: #555; text-decoration: unterline; }
    </style>

    <script type="text/javascript">

        /**
         * configure breather
         *     @onId       = the DOM element id to which is drawn breather
         *     @onAjax     = activates the global XMLHttpRequest listener
         *     @ajaxEvents = an array with ajax routes where breather listening
         */
        breather.onId = 'body';
        breather.onAjax = true;
        breather.ajaxEvents = ['any\/example', 'README\.md'];

        $(document).ready(function() {

            // bind breather on a callback function
            $('#kicker').on('click', function(e) {
                breather.show('Please wait for 3 seconds!');
                setTimeout('breather.hide()', 3000);
            });

            // setup an test ajax post request
            $('[name="breather-ajax-test"]').on('submit', function(e) {
                frm = $(this);
                $.ajax({
                   url : frm.attr('action'),
                   data: frm.serialize()
                });

                return false;
            });

        });

    </script>
</head>
<body id="body">
    <div>
        <p>Klick on this link:<br /><a href="#" id="kicker">Let's breath!</a></p><br />
        <p>
            Or try the ajax supported form:<br />
            <form name="breather-ajax-test" action="README.md">
                <input type="text" name="my-name" value="Your name .." />
                <input type="submit" value="Send" />
            </form>
        </p>
    </div>
</body>
</html>